MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter:

## Public Member Functions
byte[] | ReadVectorData ()
| Returns vector data to write or read.
void | WriteVectorData (byte[] vectorData)
| Sets vector data to write or read.
int | ReadVectorAddress ()
| Returns vector address ('System ID' + 'Vector ID') to write or read.
void | WriteVectorAddress (int vectorAddress)
| Sets vector address ('System ID' + 'Vector ID') to write or read.
uint | ReadVectorIndex ()
| Returns index within vector to write or read.
void | WriteVectorIndex (uint vectorIndex)
| Sets index within vector to write or read.
uint | ReadDataSize ()
| Returns number of bytes to write or read. Can be between 1 and 4.
void | WriteDataSize (uint dataSize)
| Sets number of bytes to write or read. Can be between 1 and 4.
void | WriteVector ()
| Writes vector. After writing, vector index is automatically incremented by the data size.
void | ReadVector ()
| Reads vector. After reading, vector index is automatically incremented by the data size.
int | ReadErrorFlag ()
| Returns the error flag returned by the previous write or read operation.

## Member Function Documentation

## ◆ ReadDataSize()

uint MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.ReadDataSize | ( |  | ) |

Returns number of bytes to write or read. Can be between 1 and 4.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadErrorFlag()

int MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.ReadErrorFlag | ( |  | ) |

Returns the error flag returned by the previous write or read operation.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadVector()

void MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.ReadVector | ( |  | ) |

Reads vector. After reading, vector index is automatically incremented by the data size.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadVectorAddress()

int MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.ReadVectorAddress | ( |  | ) |

Returns vector address ('System ID' + 'Vector ID') to write or read.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadVectorData()

byte[] MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.ReadVectorData | ( |  | ) |

Returns vector data to write or read.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ReadVectorIndex()

uint MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.ReadVectorIndex | ( |  | ) |

Returns index within vector to write or read.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteDataSize()

void MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.WriteDataSize | ( | uint | dataSize | ) |

Sets number of bytes to write or read. Can be between 1 and 4.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteVector()

void MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.WriteVector | ( |  | ) |

Writes vector. After writing, vector index is automatically incremented by the data size.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteVectorAddress()

void MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.WriteVectorAddress | ( | int | vectorAddress | ) |

Sets vector address ('System ID' + 'Vector ID') to write or read.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteVectorData()

void MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.WriteVectorData | ( | byte[] | vectorData | ) |

Sets vector data to write or read.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ WriteVectorIndex()

void MrEModuleSdk.Devices.SdkInterfaces.IVectorAdapter.WriteVectorIndex | ( | uint | vectorIndex | ) |

Sets index within vector to write or read.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/IVectorAdapter.cs